Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

libcanberra0-0.30-lp152.3.4 RPM for x86_64

From OpenSuSE Leap 15.2 for x86_64

Name: libcanberra0 Distribution: openSUSE Leap 15.2
Version: 0.30 Vendor: openSUSE
Release: lp152.3.4 Build date: Thu Oct 24 06:27:32 2019
Group: System/Libraries Build host: build79
Size: 191022 Source RPM: libcanberra-0.30-lp152.3.4.src.rpm
Packager: https://bugs.opensuse.org
Url: http://0pointer.de/lennart/projects/libcanberra
Summary: Portable sound event library
libcanberra is an implementation of the XDG Sound Theme and Name
Specifications, for generating event sounds on free desktops, such
as GNOME. It comes with several backends (ALSA, PulseAudio, null)
and is designed to be portable.

This package contains the main library.

Provides

Requires

License

LGPL-2.0+

Changelog

* Mon Dec 19 2016 sor.alexei@meowr.ru
  - Remove the lynx build dependency: of questionable need.
  - Build for Gtk3 unconditionally.
  - Spec cleanup.
* Wed May 25 2016 sreeves@suse.com
  - Update to GNOME 3.20.2 Fate#318572
* Thu Jan 14 2016 dimstar@opensuse.org
  - Do not require sound-theme-freedesktop by libcanberra0: if this
    is wanted on a default install, it is up to the DE pattern to
    recommend/require this - it is not needed for the libraries
    proper functioning.
* Mon Dec 28 2015 zaitor@opensuse.org
  - Split out libcanberra-gtk-devel and libcanberra-gtk3-devel
    sub-packages, this will make it possible for us to build
    dependant packages without having to pull in both gtk2 and gtk3.
* Fri Nov 06 2015 zaitor@opensuse.org
  - Split out a new sub-package canberra-gtk-play-gnome: Currently
    there are no desktop-login, desktop-logout or session-ready
    sounds in the freedesktop sound theme, so installing this will
    require a different sound-theme for it to be operational. Having
    this in a own sub-package will avoid logspam about missing files.
    Fixes boo#953862.
* Wed Feb 06 2013 dimstar@opensuse.org
  - Drop pkgconfig(gstreamer-1.0) BuildRequires: no longer build the
    gstreamer backend. The default is PulseAudio, with a fallback to
    alsa, which is sufficient. Helps against issues like bnc#800963.
* Fri Nov 09 2012 michael.meeks@suse.com
  - Add libcanberra-broadway-fix.patch: Fix crash with
    libcanberra-gtk-module's and non-X11 displays (bnc#789066).
* Tue Sep 25 2012 dimstar@opensuse.org
  - Update to version 0.30:
    + Minor bug fixes
    + Explicitly require x11 for GTK linking
    + Port to GStreamer 1.0.
  - Add pkgconfig(glib-2.0) BuildRequires so it can be versioned.
  - Add pkgconfig(x11) BuildRequires: new explicit dependency.
  - Drop libcanberra-gst10.patch: fixed upstream.
  - Drop libtool BuildRequires and call to ./autogen.sh: no patch
    requires bootstrapping.
* Mon Sep 03 2012 dimstar@opensuse.org
  - Add libcanberra-gst10.patch: Port libcanberra to GStreamer 1.0.
  - Add libtool BuildRequires and call ./autogen.sh in build, as
    above patch touches the build system
  - Replace pkgconfig(gstreamer-0.10) BuildRequires with
    pkgconfig(gstreamer-1.0).
* Mon Jul 02 2012 dimstar@opensuse.org
  - Add libcanberra-multi-backend.patch: Set the 'multi'-backend as
    default and fix it to also work without the driver list being
    passed from the command line. Fixes bnc#763243.

Files

/usr/lib64/libcanberra-0.30
/usr/lib64/libcanberra-0.30/libcanberra-alsa.so
/usr/lib64/libcanberra-0.30/libcanberra-multi.so
/usr/lib64/libcanberra-0.30/libcanberra-null.so
/usr/lib64/libcanberra-0.30/libcanberra-oss.so
/usr/lib64/libcanberra-0.30/libcanberra-pulse.so
/usr/lib64/libcanberra.so.0
/usr/lib64/libcanberra.so.0.2.5
/usr/share/doc/packages/libcanberra0
/usr/share/doc/packages/libcanberra0/LGPL
/usr/share/doc/packages/libcanberra0/README


Generated by rpm2html 1.8.1

Fabrice Bellet, Mon Apr 6 23:40:54 2020